import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.ObjectOutputStream;
import java.io.BufferedOutputStream;
import java.io.FileOutputStream;
import java.io.File;
import java.util.ArrayList;

public class RubricaNew
{
    ObjectOutputStream outs;
    ArrayList<Contatto> lista;
    
    RubricaNew (String f) {
        try {
            File fi = new File(f);
            if (fi.exists()) {
                lista = (new ReadRubricaNew(f)).getListaContatti();
            }
            else lista = new ArrayList<Contatto>();
            outs = null;
            outs = new ObjectOutputStream(new BufferedOutputStream(new FileOutputStream(f)));
        }
        catch (IOException e) {
    
            System.exit(1);
        }
    }

    boolean salvaContatti () {
        int i = 0;
        
        try {
            for (Contatto c: lista) outs.writeObject(c);
            outs.flush();
        } catch (Exception e) {
            System.out.println("Exc in salvaContatti");
            System.exit(3);};
        return true;
    }
    
    void inserisci (Contatto [] c) {
        for (int i = 0; i<c.length; i++) {
            lista.add(c[i]);
        }   
    }
    
    public static void main (String args[]) {
        BufferedReader ins = new BufferedReader(new InputStreamReader(System.in));
        if (args.length != 1){System.exit(2);}
        RubricaNew r = new RubricaNew(args[0]);
        

        Contatto c[] = new Contatto[2];
        try {
        for (int i = 0; i<2; i++) {
            System.out.print("Inserisci il nome del Contatto " + i + ": ");
            c[i] = new Contatto(ins.readLine());
            System.out.print("Inserisci l'email di " + c[i].getNome() + ": ");
            c[i].setEmail(ins.readLine());
            System.out.print("Inserisci il numero di telefono di " + c[i].getNome() + ": ");
            boolean test = false;
            while (!test) {
                try {
                    c[i].setNumeroTelefonico(Integer.parseInt(ins.readLine()));
                    test = true;
                } catch (NumberFormatException e){
                    System.out.println("Deve essere composto solo di cifre!!");
                    System.out.print("Inserisci il numero di telefono di " + c[i].getNome() + ": ");
                }
            }
           }
        }catch (IOException e) {};
        for (int i = 0; i<2; i++) c[i].stampaDatiContatto();
        r.inserisci(c);
        r.salvaContatti();
//     try {
//         r.outs.flush();
//         r.outs.close();
//     }catch (Exception e) {};
    }
    
}
